package com.kmall.admin.dao;

import com.kmall.admin.entity.OfflineCartEntity;
import com.kmall.common.dao.BaseDao;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-11-29 15:14:59
 */
@Component
public interface OfflineCartDao extends BaseDao<OfflineCartEntity> {

    OfflineCartEntity queryObjectByGoodsIdAndType(@Param("goodsId") Integer goodsId, @Param("userId")Long userId);

    List<OfflineCartEntity> queryOfflineCartByBizType(Map<String, Object> map);

    int deleteByUserId(@Param("userId")long userId);

}
